%define api_version	2
%define lib_major	0
%define pkgname     libgnomeui
%define req_libbonoboui_version	2.1.1
%define req_libgnome_version	2.0.0
%define req_libgnomecanvas_version	2.0.0

%define lib_name		%mklibname gnomeui %{api_version} %{lib_major}

Summary: Main GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.8.1
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 2.8.1-2mdk fix wrong gettext encoding in file-selector backend with mozilla
Patch0: libgnomeui-2.8.1-utf8.patch.bz2
License: LGPL
Url: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libbonoboui2-devel >= %{req_libbonoboui_version}
BuildRequires: libgnome2-devel >= %{req_libgnome_version}
BuildRequires: libgnomecanvas2-devel >= %{req_libgnomecanvas_version}
BuildRequires: libglade2.0-devel
BuildRequires: pango-devel >= 1.1.2
BuildRequires: gtk-doc >= 0.9
BuildRequires: libjpeg-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs2-devel >= 2.7.1
Requires: libbonoboui2 >= %{req_libbonoboui_version}
Requires: gnome-icon-theme

%description
Data files for the GNOME UI library such as translations.

%package -n %{lib_name}
Summary:	GNOME libraries
Group:		%{group}

Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
GNOME library contains extra widgets to let your 
GNOME applications really shine

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires: libbonoboui2-devel >= %{req_libbonoboui_version}
Requires: libgnomecanvas2-devel >= %{req_libgnomecanvas_version}
Requires: libjpeg-devel

%description -n %{lib_name}-devel
Static library, headers files and documentation needed in order 
to develop applications using the GNOME library.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .utf8

%build

%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{pkgname}-2.0

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/filesystems/libgnome-vfs.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig


%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog
%{_libexecdir}/gnome_segv2
%{_libdir}/libglade/2.0/*.so
%{_libdir}/gtk-2.0/*/filesystems/libgnome-vfs.so
%{_datadir}/pixmaps/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch0 : fix wrong gettext encoding for file selector backend for mozilla

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk 
- Release 2.8.1
- Remove patches 0 & 1 (merged upstream)

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-3mdk 
- Rebuild with latest howl

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Patch1 (CVS): improve filechooser vfs backend speed on big directories

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- New release 2.8.0
- Remove patch0 (merged upstream)
- Patch0 (Fedora): improve gnomevfs file chooser backend for ftp:

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-2mdk
- Patch0 (CVS): various bug and memleak fixes from CVS
- Enable libtoolize

* Sun May  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- drop the patch
- New release 2.6.1.1

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- patch to make it build with gtk+ 2.4.0
- New release 2.6.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

* Wed Nov 26 2003 Stefan van der Eijk <stefan@eijk.nu> 2.4.0.1-2mdk
- rebuild

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com>  2.3.7-1mdk
- Release 2.3.7

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-3mdk
- Enforce dependency on gnome-icon-theme

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.6-2mdk
- [Build]Requires: libbonoboui2-devel, libgnome2-devel, lignomecanvas2-devel

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.1-1mdk
- Release 2.3.3.1
- Fix description (bug #4176)

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Rebuild against latest libbonobo/ORBit2

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Rebuild to get new deps

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Remove patch0 (merged upstream)

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-2mdk
- Patch0 (CVS): various CVS fixes (including for Mdk bug 1331)

* Thu Jan 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.0.0

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Recompiled against latest openssl

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Add libjpeg build dependency

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Thu Nov 21 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.2-2mdk
- BuildRequires: libglade2.0-devel

* Fri Nov 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5
- Remove patch0 (merged upstream)

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Patch0 (rawhide): Don't always ensure an esd connection is available 
  just because we can do so

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Fix ugly provides 

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Release 2.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-2mdk
- Recompiled against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.2-1mdk
- Release 1.117.2

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.117.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.0-1mdk
- Release 1.117.0

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.1-1mdk
- Release 1.116.1

* Tue Apr 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-1mdk
- Release 1.115.0

* Fri Apr  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-2mdk
- Fix Requires of -devel package

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- First Mdk package

